<?php
$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

//include '../pdloginvariables.php';

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}
?>

<!DOCTYPE html>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">
    <h1>Mobile Device Database: Search Results</h1>

    <?php
    //SQL query - the thing that changes per file
    $sql = "SELECT devices.device_id, devices.name, devices.price, manufacturers.manufacturer, systems.system 
        FROM devices 
        JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id 
        JOIN systems ON devices.system_id = systems.system_id 
        WHERE 1=1";

    // Handle search parameters from the form
    if (!empty($_REQUEST['title'])) {
        $sql .= " AND devices.name LIKE '%" . $mysql->real_escape_string($_REQUEST['title']) . "%'";
    }

    if ($_REQUEST['manufacturer'] != "ALL") {
        $sql .= " AND manufacturers.manufacturer = '" . $mysql->real_escape_string($_REQUEST['manufacturer']) . "'";
    }

    if ($_REQUEST['system'] != "ALL") {
        $sql .= " AND systems.system = '" . $mysql->real_escape_string($_REQUEST['system']) . "'";
    }

    //additional filtering on the type (if needed))
    if ($_REQUEST['type'] != "ALL") {
        $sql .= " AND devices.type_id = '" . $mysql->real_escape_string($_REQUEST['type']) . "'";
    }

    $sql .= " ORDER BY devices.name";

    // Execute query
    $results = $mysql->query($sql);

    if (!$results) {
        echo "<hr>Your SQL:<br>" . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }

    // Output the number of results
    echo "<em>Your search returned <strong>" . $results->num_rows . "</strong> results.</em><br><br>";

    // Loop through the results and display them with links to details.php
    while ($currentrow = $results->fetch_assoc()) {
        // Link the device name to details.php
        echo "<div class='title'><strong>" .
            "<a href='details.php?device_id=" . $currentrow['device_id'] . "'>" .
            $currentrow['name'] . "</a></strong></div>";

        echo "<div class='details'>Price: $" . $currentrow['price'] . "<br>";
        echo "Manufacturer: " . $currentrow['manufacturer'] . "<br>";
        echo "Operating System: " . $currentrow['system'] . "</div><br>";
    }

    // Close the database connection
    $mysql->close();
    ?>

</div>
</body>
</html>